{
  config,
  inputs,
  pkgs,
  lib,
  ...
}:

let
in
with lib;
{
  options = {
    k9s = {
      enable = mkEnableOption "enable k9s";
      theme = mkOption {
        type = types.str;
        default = "latte";
        description = "Catppuccin theme variant for k9s.";
      };
    };
  };

  config = mkIf config.k9s.enable {
    programs.k9s = {
      enable = true;
      settings = {
        k9s.ui.skin = "catppuccin-${config.k9s.theme}";
      };
      skins = {
        catppuccin-latte = ./latte-transparent.yml;
        catppuccin-mocha = ./mocha-transparent.yml;
      };
    };
  };
}
